--- old/usr/src/cmd/zdb/zdb.c	Thu Jul 26 14:18:55 2012
+++ new/usr/src/cmd/zdb/zdb.c	Thu Jul 26 14:18:54 2012
@@ -529,7 +529,7 @@
 	 */
 	alloc = 0;
 	for (offset = 0; offset < smo->smo_objsize; offset += sizeof (entry)) {
-		VERIFY3U(0, ==, dmu_read(os, smo->smo_object, offset,
+		VERIFY0(dmu_read(os, smo->smo_object, offset,
 		    sizeof (entry), &entry, DMU_READ_PREFETCH));
 		if (SM_DEBUG_DECODE(entry)) {
 			(void) printf("\t    [%6llu] %s: txg %llu, pass %llu\n",
@@ -1188,7 +1188,7 @@
 	if (dump_opt['d'] < 3)
 		return;
 
-	VERIFY3U(0, ==, dmu_bonus_hold(os, obj, FTAG, &db));
+	VERIFY0(dmu_bonus_hold(os, obj, FTAG, &db));
 	bt = db->db_data;
 	zdb_nicenum(bt->bt_bytes, bytes);
 	(void) printf("\n    %s: %llu datasets, %s\n",
@@ -2273,7 +2273,7 @@
 	    count_block_cb, &zcb, NULL);
 	if (spa_feature_is_active(spa,
 	    &spa_feature_table[SPA_FEATURE_ASYNC_DESTROY])) {
-		VERIFY3U(0, ==, bptree_iterate(spa->spa_meta_objset,
+		VERIFY0(bptree_iterate(spa->spa_meta_objset,
 		    spa->spa_dsl_pool->dp_bptree_obj, B_FALSE, count_block_cb,
 		    &zcb, NULL));
 	}
